%define module	Audio-DSP
%define name	perl-%{module}
%define version 0.02
%define release %mkrel 9

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl interface to OSS digital audio device
License:	GPL or Artistic
Group:		Development/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Audio/%{module}-%{version}.tar.bz2
Patch0:		Audio-DSP-0.02-VOCP.patch.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Audio::DSP is built around the OSS (Open Sound System) API and allows perl to
interface with a digital audio device. It provides, among other things, an
initialization method which opens and handles ioctl messaging on the audio
device file. Audio::DSP also provides some rudimentary methods for the storage
and manipulation of audio data in memory.

In order to use Audio::DSP, you'll need to have the necessary OSS
drivers/libraries installed. OSS is available for many popular Unices, and a
GPLed version (with which this extension was initially developed and tested) is
distributed with with the Linux kernel. 

%prep

%setup -q -n %{module}-%{version} 
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
# doesn't work

%install
%{__rm} -rf %{buildroot} 
%makeinstall_std

%clean 
%{__rm} -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{perl_vendorarch}/Audio
%{perl_vendorarch}/auto/Audio
%{_mandir}/man3/*

%changelog
* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-9mdv2007.0
- Rebuild

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.02-8mdk
- Fix SPEC Using perl Policies
	- Source URL

* Fri Feb 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-7mdk
- spec cleanup
- rpmbuildupdate aware
- %%mkrel
- enable optimisations

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.02-6mdk
- rebuild for new perl

* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.02-5mdk
- fix deps

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.02-4mdk
- Better Summary and Description
- Macroize
- Remove root buildroot kludges
- Remove PREFIX from Makefile.PL
- %%makeinstall_std
- man path

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.02-3mdk
- rebuild for new auto{prov,req}

* Wed Feb 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.02-2mdk
- added P0 by Patrick Deegan

* Tue Feb 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.02-1mdk
- initial cooker contrib.
